﻿



<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta charset="UTF-8">
<title>联塑防伪码验证</title>
<link rel="stylesheet" href="/Other/fwm/ls/css/pc_style.css" />
<link rel="stylesheet" type="text/css" href="/Other/fwm/ls/easyui_mb/themes/metro/easyui.css">
</head>
<body>
	<header>
		<div class="header_content">
			<div class="logo">
				<img src="/ls/images/logo.png">
			</div>
		</div>
	</header>
	<div class="main">
		<div class="main_tit">
			<span>联塑防伪验证</span>
		</div>
		<div class="main_content">
			<div class="main_content_banner">
				<img src="/ls/images/banner.png">
			</div>
			<div class="main_content_code">
				<span>产品码：</span> <input type="text" placeholder="请输入产品编码"
					id="qrcode" />
			</div>
			<div class="main_content_result">
				<span>查询结果：</span>
				<textarea type="text" id="textArea" disabled="disabled"></textarea>
				<div id="showlist"></div>
				<div class="main_content_result_text">
					更多查询方式：请关注“LESSO联塑集团”微信公众号，点击菜单栏【防伪查询】，扫描或输入产品码和验证码进行查询
				</div>
			</div>
			<div class="main_content_button">
				<button onclick="queryByCod()">查询</button>
				<button onclick="reset()">重置</button>
			</div>
			<div class="clear"></div>
		</div>
	</div>
	<footer>
		<div class="footer_content">
			<div class="footer_content_left">
				<p>地址：中国广东省佛山市顺德区龙江镇联塑工业村 邮编：528318</p>
				<p>电话：86-757-23888333 传真：86-757-23888555</p>
				<p>版权所有 © 联塑实业（中国）有限公司 Powered by Zhimei INC. 沪ICP备13013519号-5</p>
			</div>
			<div class="footer_content_right">
				<ul>
<!-- 					<li><a href="javascript:void(0)"> <span -->
<!-- 							style="background: url(/ls/images/phone.png) center top no-repeat;">手机查询</span> -->
<!-- 					</a> -->
<!-- 						<div class="footer_content_right_qr"> -->
<!-- 							<span><img src="/ls/images/phone_qr.jpg"></span> -->
<!-- 						</div></li> -->
					<li><a href="javascript:void(0)"> <span
							style="background: url(/ls/images/weixin.png) center top no-repeat;">微信查询</span>
					</a>
						<div class="footer_content_right_qr">
							<span><img src="/ls/images/weixin_qr.jpg"></span>
						</div></li>
				</ul>
			</div>
		</div>
	</footer>
		   
	<script type="text/javascript" src="/Other/fwm/ls/js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="/Other/fwm/ls/easyui_mb/jquery.easyui.min.js"></script>
	<script type="text/javascript" src="/Other/fwm/ls/js/js.js"></script>
	<script type="text/javascript">
	$(document).ready(function() {
		$(".panel-tool").hide();
	});
		function queryByCod() {
			var barcode = $("#qrcode").val();
			if (barcode == "" || barcode == "请输入产品码") {
				$.messager.alert("防伪查询系统提示：", "请输入产品码!", 'info');
				return;
			}
			//
			if (barcode.indexOf('*') > 0) {
	
			} else if (barcode.length != 18 && barcode.length != 16) {
				$.messager.alert("防伪查询系统提示：", '您输入的产品码长度有误，请输入16或18位产品码进行查询!', 'info');
	
				return;
			}
			var validateCode = $("#imgCode").val();
			var cont = '1';
			if (cont != '1') {
				if (validateCode == "" || validateCode == "请输入验证码" || validateCode.length != 4) {
					$.messager.alert("防伪查询系统提示：", "请检查输入验证码是否正确!", 'info');
					return;
				}
			}
			var qtype = $("#qtype").val();
			var fwfc = $("#fwfc").val();
	
			$.ajax({
				url : '/ls/web/doOpenQuery.do?barcode=' + barcode
					+ '&vcode=' + validateCode + '&qtype=' + qtype + '&content=' + cont + '&fwfc=' + fwfc + '',
				type : 'POST',
				beforeSend : function(XmlHttpRequest, textStatus, errorThrown) {
					$.messager.progress({
						title : '提示',
						msg : '正在执行数据操作，请稍待...'
					});
				},
				success : function(result) {
					$.messager.progress('close');
					if (result.yesno) {
						if (barcode.indexOf('*') > 0) {
							$.ajax({
								url : "http://app./edfx/webservice/fwfc.asmx/SearchInfoByBarCode?jsoncallback=?",
								dataType : "jsonp",
								data : {
									"barCode" : barcode
								},
								beforeSend : function(XmlHttpRequest, textStatus, errorThrown) {
									$.messager.progress({
										title : '提示',
										msg : '正在执行数据操作，请稍待...'
									});
								},
								success : OnSuccess,
								error : OnError
							});
							sleep(500);
						} else {
						    document.getElementById("textArea").style.display="none";
							if (result.SUCCESS) {
								document.getElementById("showlist").innerHTML = result.msg2;
								//	document.getElementById("showtop").innerHTML=result.msgstyle;
								document.getElementById("qrcode").value = "";
								document.getElementById("imgCode").value = "";
							} else {
								//document.getElementById("showtop").innerHTML=result.msgstyle;
								document.getElementById("showlist").innerHTML = result.msg;
							}
						}
					} else {
						$.messager.alert("防伪查询系统提示：", "验证码错误", 'info');
						return;
					}
					getVCode(document.getElementById("check"));
				}
			});
	
		}
			/*重置按钮*/
	function reset() {
		document.getElementById("qrcode").value = "";
		document.getElementById("imgCode").value = "";
		document.getElementById("textarea").value = "";
		document.getElementById("msg").value = "";
		document.getElementById("showtop").innerHTML="";
		document.getElementById("showlist").innerHTML = "";
	}
			function loginFw() {
	var loginPassword=$("#loginPassword").val();
	var loginName=$("#loginName").val();

		if ($('#loginForm').form('validate')) {
			var data = $('#loginForm').serialize();
			$
					.ajax({
						url : '/ls/user/login.do;jsessionid=89D947C3224DD792C97BF03F409FE03D',
						type : 'POST',
						data : data,
						beforeSend : function(XmlHttpRequest, textStatus,
								errorThrown) {
							$.messager.progress({
								title : '提示',
								msg : '正在验证用户，请稍待...'
							});
						},
						success : function(result) {
							$.messager.progress('close');
							if (result.data == 'success') {
								//页面跳转
								$('#LoginDiv').dialog('close');
							} else {
								$.messager.alert('错误', result.data, 'error');
							}
						}
					});
		}
	}
	
	</script>
</body>
</html>
